#include <iostream>
#include <algorithm>
#include <iomanip>
#define maxN 200000

using namespace std;

struct Pair
{
	double first;
	double second;
};

int n;
Pair arr[maxN + 5];

bool SortA(Pair a, Pair b)
{
	return a.second < b.second;
}

int main()
{
	ios_base::sync_with_stdio(0);
	cin.tie(); cout.tie();
	cin >> n;
	double sum = 0;
	double res = 0;
	for (int i = 0; i < n; i++)
	{
		int a;
		double p;
		cin >> a >> p;
		sum += a;
		arr[i].first = a;
		arr[i].second = p;
	}
	sort(arr, arr + n, SortA);

	for (int i = 0; i < n; i++)
	{
		res = max(res, sum / 100 * arr[i].second);
		sum -= arr[i].first;
	}

	cout << fixed << setprecision(4) << res << endl;
}